/*
 *************
 * Copyright *
 *************
 *
 * Copyright (C) 2010 Christoph Zauner
 */

/*
 ***********
 * License *
 ***********
 *
 * This file is part of Rihamark.
 * 
 * Rihamark is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Rihamark is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Rihamark.  If not, see <http://www.gnu.org/licenses/>.
 */

package rmk.SPArguments;

import org.simpleframework.xml.*;
import java.util.ArrayList;

/**
 * All test items must support certain methods for
 * configuration through the UI.
 *
 * @author Christoph Zauner
 */
public abstract class TestItem {

	/* start: service provider options */
	private String label = "No user interface available for this plugin.";
	/* end: service provider options */

	protected boolean uiOverwrite = false;
	public static boolean deserialization = false;
	@ElementList private ArrayList<SPArgument> spArguments = new ArrayList<SPArgument>();

	public TestItem() {
		/*
		 * The default label is deactivated because it
		 * conflicts with XML deserialization.
		 */
		// argument
		//spArguments.add(new Label(label));
	}

	/**
	 * When invoked the for first time the default
	 * user interface is deleted.
	 *
	 * @param sPArgument
	 */
	public void addSPArgument(SPArgument sPArgument) {
		if(!uiOverwrite) {
			spArguments.clear();
			uiOverwrite = true;
		}
		spArguments.add(sPArgument);
	}

	/*****************************/
	/* getter and setter methods */
	/*****************************/


	public ArrayList<SPArgument> getSpArguments() {
		return spArguments;
	}

	public void setSpArguments(ArrayList<SPArgument> spArguments) {
		this.spArguments = spArguments;
	}

} // end of class
