/*
 *************
 * Copyright *
 *************
 *
 * Copyright (C) 2010 Christoph Zauner
 */

/*
 ***********
 * License *
 ***********
 *
 * This file is part of Rihamark.
 * 
 * Rihamark is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Rihamark is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Rihamark.  If not, see <http://www.gnu.org/licenses/>.
 */

package rmk.SPMenu;

/**
 *
 * @author Christoph Zauner
 */
public class MenuItem extends SPMenuChild {

	private String label;
	private SPMenuHandler handler;
	/**
	 * The number of the function the handler of 
	 * this menu item shall execute later on.
	 */
	private int functionNumber;

	/**
	 *
	 * @param label The label of the menu item.
	 * @param handler The handler object.
	 * @param functionNumber Used to signal the handler which function to execute.
	 */
	public MenuItem(String label, SPMenuHandler handler, int functionNumber) {
		this.label = label;
		this.handler = handler;
		this.functionNumber = functionNumber;
	}

	public void execute() {
		handler.executeHandler(functionNumber);
	}


	/*****************************/
	/* getter and setter methods */
	/*****************************/

	
	/**
	 * @return the label
	 */
	public String getLabel() {
		return label;
	}

} // end of class
