/*
 *************
 * Copyright *
 *************
 *
 * Copyright (C) 2010 Christoph Zauner
 */

/*
 ***********
 * License *
 ***********
 *
 * This file is part of Rihamark.
 * 
 * Rihamark is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Rihamark is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Rihamark.  If not, see <http://www.gnu.org/licenses/>.
 */

package rmk.core;

import java.io.File;
import org.simpleframework.xml.Serializer;
import org.simpleframework.xml.core.Persister;
import rmk.SPArguments.TestItem;

/**
 * Saves and loads a testplan.
 *
 * @author christoph
 */
public class Conservator {

	public static void saveTestplan(File file, TestPlan testplan) {
		try {
			Serializer serializer = new Persister();
			serializer.write(testplan, file);
		} catch (Exception e) {
			Debug.debugPrint(Debug.LogLevel.ERR, "Error when trying to save testplan. The stack trace is:");
			e.printStackTrace();
			System.exit(0);
		}
	}

	public static TestPlan loadTestplan(File file) {
		TestPlan testplan = null;
		TestItem.deserialization = true;

		try {
			Serializer serializer = new Persister();
			testplan = serializer.read(TestPlan.class, file);
		} catch (Exception e) {
			Debug.debugPrint(Debug.LogLevel.ERR, "Error when trying to load testplan. The stack trace is:");
			e.printStackTrace();
			System.exit(0);
		}

		TestItem.deserialization = false;
		return testplan;
	}

} // end of class
