/*
 *************
 * Copyright *
 *************
 *
 * Copyright (C) 2010 Christoph Zauner
 */

/*
 ***********
 * License *
 ***********
 *
 * This file is part of Rihamark.
 * 
 * Rihamark is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Rihamark is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Rihamark.  If not, see <http://www.gnu.org/licenses/>.
 */

package rmk.gui;

import java.util.ArrayList;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import rmk.core.AnalyzerService;
import rmk.SPInterfaces.*;
import rmk.SPMenu.MenuItem;
import rmk.SPMenu.SPMenuChild;
import rmk.SPMenu.UserInterface;

/**
 *
 * @author Christoph Zauner
 */
public class MenuCreator {

public static JMenu getMenu(UserInterface userInterface) {
	JMenu jMenu = new JMenu();

	ArrayList<String> svcProvNames = AnalyzerService.getInstance().getSrvProvNames();

	for(int idx = 0; idx < svcProvNames.size(); idx++) {
		Analyzer analyzer =	AnalyzerService.getInstance().getSrvProv(idx);

		if(analyzer instanceof AnalyzerSwing) {
			((AnalyzerSwing)analyzer).initAnalyzerSwing(userInterface);

			JMenu newMenu = new JMenu(analyzer.getName());
			jMenu.add(newMenu);

			// currenty only one menu item type is supported
			for(SPMenuChild sPMenuChild: analyzer.getSPMenuChilds()) {
				MenuItem menuItem = (MenuItem)sPMenuChild;

				if(sPMenuChild instanceof MenuItem) {

				} else {
					continue;
				}

				JMenuItem jMenuItem = new JMenuItem(menuItem.getLabel());
				newMenu.add(jMenuItem);

				jMenuItem.addActionListener(new MenuItemListener(menuItem));
			}
		}
	}

	return jMenu;
}

} // end of class
