/*
 *************
 * Copyright *
 *************
 *
 * Copyright (C) 2010 Christoph Zauner
 */

/*
 ***********
 * License *
 ***********
 *
 * This file is part of Rihamark.
 * 
 * Rihamark is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Rihamark is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Rihamark.  If not, see <http://www.gnu.org/licenses/>.
 */

package rmk.plugins.attacks.java;

import java.util.ArrayList;

import org.simpleframework.xml.*;
import rmk.SPInterfaces.*;
import rmk.SPArguments.*;

/**
 *
 * @author christoph
 */
public class Rotation extends Attack {

	/* start: mandatory service provider variables */
	private static String name = "Rotation (not implemented yet)";
	private static String bundleName = "Rihamark Default Attack Plugins (using Java)";
	private static String description = "Self explanatory.";
	/* end: mandatory service provider variables */

	/* start: service provider arguments */
	@Element private Integer angle = 45;
	@Element private String interpolation = "None";
	@Element private Boolean enlarge = true;
	/* end: service provider arguments */

	public Rotation() {
		super(name, bundleName, description);

		if(!deserialization) {
			// argument
			addSPArgument(new SpinnerInt(angle, "Degrees", 0, 360, 1));

			// argument
			String[] items = {"None", "Bilinear", "Bicubic"};
			addSPArgument(new ComboBox(interpolation, "Interpolation", items));

			// argument
			addSPArgument(new CheckBox(enlarge, "Enlarge Image to Fit Result"));
		}
	}

	public void runAttack(String pathImageAttackDir) {
	}


	/*****************************/
	/* getter and setter methods */
	/*****************************/


} // end of class
